/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.test.osgi.example.serviceloader.service;

//$Id: AccountService.java 99944 2010-01-26 15:27:43Z thomas.diesler@jboss.com $

/**
 * A simple bank account service 
 * 
 * @author thomas.diesler@jboss.com
 * @since 26-Jan-2010
 */
public interface AccountService
{
   /** Get the current balance */
   long getBalance();

   /** Credit the given amount and return the current balance */
   long credit(long amount);

   /** Withdraw the given amount and return the current balance */
   long withdraw(long amount);
}